2019-10-21 17:54 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001639FSSCPFREDpublic2008-04-07 22:01
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001639: Saving files with ;;FSO 3.6.10;; commenting crashes during missions save
DescriptionI needed to get around the 100 ship limit so I tried to make the mission so that the extra ships would only show up in 3.6.10. Added ;;FSO 3.6.10;; to the beginning of the lines for the ships and the wing for those ships. Ran fine in 3.6.9 and loaded and saved fine in 3.6.9 FRED. Opened fine in a 3.6.10 version of FRED. All commented out ships and the wing showed up. Tried to save it and it crashed. It seems to be trying to write both the commented out ships and duplicates to the file.
Additional InformationDon't know if this is really a bug but reported it just in case. Attaching test mission. It's a TBP mission but should load in FS2 FRED with warnings.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009141

taylor (administrator)

I've got your test case working now. Do you have anything else that I can throw at it as well to test with? If not then no big deal, I'll get you a test build a bit later and you can play around with it yourself.

The code is still going to need a bit of tweaking, but overall it works.

~0009201

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-23 17:46 FUBAR-BDHR New Issue
2008-03-23 17:46 FUBAR-BDHR File Added: comments.fs2
2008-04-02 00:43 taylor Status new => assigned
2008-04-02 00:43 taylor Assigned To => taylor
2008-04-02 01:36 taylor Note Added: 0009141
2008-04-07 22:01 taylor Status assigned => resolved
2008-04-07 22:01 taylor Fixed in Version => 3.6.10
2008-04-07 22:01 taylor Resolution open => fixed
2008-04-07 22:01 taylor Note Added: 0009201
+Issue History